org.apache.solr.client.solrj.impl

## Class PreemptiveAuth

- java.lang.Object
- - org.apache.solr.client.solrj.impl.PreemptiveAuth

All Implemented Interfaces:
  org.apache.http.HttpRequestInterceptor

    public class PreemptiveAuth
    extends Object
    implements org.apache.http.HttpRequestInterceptor

This HTTP request interceptor adds HTTP authentication credentials to every outgoing request. This implementation is required since Solr client is not capable of performing non preemptive authentication. By adding the Http authentication credentials to every request, this interceptor enables "preemptive" authentication.

### Constructor Summary

Constructors
Constructor and Description
`PreemptiveAuth(org.apache.http.auth.AuthScheme authScheme)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `process(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreemptiveAuth

    public PreemptiveAuth(org.apache.http.auth.AuthScheme authScheme)

### Method Detail

#### process

    public void process(org.apache.http.HttpRequest request,
                        org.apache.http.protocol.HttpContext context)
                 throws org.apache.http.HttpException,
                        IOException

Specified by:
  `process` in interface `org.apache.http.HttpRequestInterceptor`
Throws:
  `org.apache.http.HttpException`
  `IOException`